package com.ruixuan.data.entity;

import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 商品分析数据对象 kuaishou_live_data_analysis
 *
 * @author ruoyi
 * @date 2022-05-31
 */
@Data
public class KuaishouLiveDataAnalysis extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 快手ID
     */
    @Excel(name = "快手ID")
    private Long ksId;

    /**
     * 快手昵称
     */
    @Excel(name = "快手昵称")
    private String ksName;

    /**
     * 账户ID
     */
    @Excel(name = "账户ID")
    private Long accountId;

    /**
     * 账户名称
     */
    @Excel(name = "账户名称")
    private String accountName;

    /**
     * 商品名称
     */
    @Excel(name = "商品名称")
    private String waresName;

    /**
     * 商品上架时间
     */
    @Excel(name = "商品上架时间")
    private String waresPutDate;

    /**
     * 商品价格
     */
    @Excel(name = "商品价格")
    private BigDecimal waresPrice;

    /**
     * 商品销售额
     */
    @Excel(name = "商品销售额")
    private BigDecimal waresSalesAmount;

    /**
     * 商品销量
     */
    @Excel(name = "商品销量")
    private BigDecimal waresSalesVolume;

    /**
     * 待支付订单数
     */
    @Excel(name = "待支付订单数")
    private Long topayOrders;

    public void setKsId(Long ksId) {
        this.ksId = ksId;
    }

    public Long getKsId() {
        return ksId;
    }

    public void setKsName(String ksName) {
        this.ksName = ksName;
    }

    public String getKsName() {
        return ksName;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setWaresName(String waresName) {
        this.waresName = waresName;
    }

    public String getWaresName() {
        return waresName;
    }

    public void setWaresPutDate(String waresPutDate) {
        this.waresPutDate = waresPutDate;
    }

    public String getWaresPutDate() {
        return waresPutDate;
    }

    public void setWaresPrice(BigDecimal waresPrice) {
        this.waresPrice = waresPrice;
    }

    public BigDecimal getWaresPrice() {
        return waresPrice;
    }

    public void setWaresSalesAmount(BigDecimal waresSalesAmount) {
        this.waresSalesAmount = waresSalesAmount;
    }

    public BigDecimal getWaresSalesAmount() {
        return waresSalesAmount;
    }

    public void setWaresSalesVolume(BigDecimal waresSalesVolume) {
        this.waresSalesVolume = waresSalesVolume;
    }

    public BigDecimal getWaresSalesVolume() {
        return waresSalesVolume;
    }

    public void setTopayOrders(Long topayOrders) {
        this.topayOrders = topayOrders;
    }

    public Long getTopayOrders() {
        return topayOrders;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("ksId", getKsId())
                .append("ksName", getKsName())
                .append("accountId", getAccountId())
                .append("accountName", getAccountName())
                .append("waresName", getWaresName())
                .append("waresPutDate", getWaresPutDate())
                .append("waresPrice", getWaresPrice())
                .append("waresSalesAmount", getWaresSalesAmount())
                .append("waresSalesVolume", getWaresSalesVolume())
                .append("topayOrders", getTopayOrders())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
